﻿Type=Class
Version=3.02
ModulesStructureVersion=1
B4J=true
@EndOfDesignText@
' File: WebAppSlider.bas
' Module Type: WebSocket class
Sub Class_Globals
	Private ws As WebSocket
	'Selector Labels
	Private slider As JQueryElement			'The slider
	Private slidervalue As JQueryElement	'Value of the slider position
	Private newslidervalue As JQueryElement	'Value of the new slider position input field
	Private lblapptitle As JQueryElement	'Title shown in the table header
End Sub

Public Sub Initialize
	
End Sub

'Websocket gets connected by the user
Private Sub WebSocket_Connected (WebSocket1 As WebSocket)
	ws = WebSocket1
	'Update app title
	lblapptitle.SetText(Main.CAPPTITLE)
End Sub

Private Sub WebSocket_Disconnected
'Do nothing here
End Sub

'Get the slider value and update the label
Private Sub Update_SliderValue(Params As Map)
     Dim val As String = Params.Get("value")
	 slidervalue.SetText(val)
End Sub

'Set the new slider value from the newslidervalue input field
Private Sub slidersetvalue_click(Params As Map)
	Dim val As String = newslidervalue.GetVal.Value
	ws.Eval("$( ""#slider"" ).slider( ""value"", " & val & " );", Null)
	slidervalue.SetText(val) 
End Sub
